# -*- coding: utf-8 -*-
# 
#  setup.py
#  jp-grapheme-alt
#  
#  Created by Lars Yencken on 2009-04-20.
#  Copyright 2009 Lars Yencken. All rights reserved.
# 

"""
Package setup file for the jp-grapheme-alt package.
"""

#----------------------------------------------------------------------------#

from setuptools import setup

#----------------------------------------------------------------------------#

VERSION = '0.1.0'

f = open('src/__version__.py', 'w')
f.write('# Autogenerated by setup.py\n')
f.write('version = "%s"\n' % VERSION)
f.close()

setup(
        name='jp-grapheme-alt',
        description="Probabilistic misrecognition models for Japanese kanji.",
        long_description = """
        Models for plausible misrecognition of Japanese kanji based on
        visual similarity.
        """,
        url="http://bitbucket.org/lars512/jp-grapheme-alt/",
        version=VERSION,
        author="Lars Yencken",
        author_email="lljy@csse.unimelb.edu.au",
        license="BSD",
        install_requires=[
                'cjktools',
                'cjktools_data',
                'django',
                'django-hierarchy',
                'south',
            ],
        package_dir={'jp_grapheme_alt': 'src'},
        packages=['jp_grapheme_alt'],
    )
